## unicap 0.9.3hardy1

=== doc/api/Makefile ===
all: index.html

index.html: main.xml
	xsltproc -o html/$@ --xinclude apitohtml.xsl $^


%.html: %.xml
	xsltproc -o html/$@ apitohtml.xsl $^

=== examples/c++/Makefile ===
SUBDIRS = unicap--

all: subdirs

subdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : 
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _dir_%, %, $@)

install: $(patsubst %, _install_%, $(SUBDIRS))

$(patsubst %, _install_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _install_%, %, $@) install

clean: $(patsubst %, _clean_%, $(SUBDIRS))

$(patsubst %, _clean_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _clean_%, %, $@) clean

tags: $(OBJS)
	etags *.c *.h

=== examples/device_specific/Makefile ===
SUBDIRS = dfg1394

all: subdirs

subdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : 
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _dir_%, %, $@)

install: $(patsubst %, _install_%, $(SUBDIRS))

$(patsubst %, _install_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _install_%, %, $@) install

clean: $(patsubst %, _clean_%, $(SUBDIRS))

$(patsubst %, _clean_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _clean_%, %, $@) clean

tags: $(OBJS)
	etags *.c *.h

=== examples/unicapgtk/Makefile ===
SUBDIRS = callback smallapp cropping

all: subdirs

subdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : 
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _dir_%, %, $@)

install: $(patsubst %, _install_%, $(SUBDIRS))

$(patsubst %, _install_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _install_%, %, $@) install

clean: $(patsubst %, _clean_%, $(SUBDIRS))

$(patsubst %, _clean_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _clean_%, %, $@) clean

tags: $(OBJS)
	etags *.c *.h

=== examples/c++/unicap--/Makefile ===
all: unicap--

unicap--: UnicapDevice.cpp UnicapDataBuffer.cpp
	g++ -o $@ $^ `pkg-config libunicap --cflags --libs`


SmartPtrTest: SmartPtrTest.cpp
	g++ -o $@ $^ `pkg-config libunicap --cflags --libs`

clean: 
	rm -f *.o
	rm -f unicap--

=== examples/c/device_property/Makefile ===
all: device_property

device_property: device_property.c
	$(CC) -O0 -g -o $@ $^ `pkg-config libunicap --cflags --libs`

clean:
	rm -f *.o
	rm -f device_property

=== examples/c/gl/Makefile ===
CC=gcc
CFLAGS=-O2 -Wall -I/usr/X11R6/include `pkg-config --cflags libunicap libucil gthread-2.0 gtk+-2.0 gtkglext-1.0`
LDFLAGS=-pthread -L/usr/X11R6/lib -lm `pkg-config --libs libunicap libucil gthread-2.0 gtk+-2.0 gtkglext-1.0`
GL_LDFLAGS=-L/usr/local/lib -lGL -lGLU

all: gl-video yuv.pso 

gl-video: gl-video.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(GL_LDFLAGS) gl-video.c -o gl-video

yuv.pso: yuv.cg
	cgc -profile arbfp1 -o yuv.pso yuv.cg

clean:
	rm -f gl-video

=== examples/c/sdl_display/Makefile ===
all: sdl_display sdl_display_multibuffer

sdl_display: sdl_display.c
	$(CC) -g -o $@ $^ `pkg-config libunicap --cflags --libs` `sdl-config --cflags --libs`

sdl_display_multibuffer: sdl_display_multibuffer.c
	$(CC) -g -o $@ $^ `pkg-config libunicap --cflags --libs` `sdl-config --cflags --libs`

clean: 
	rm -f *.o
	rm -f *~
	rm -f sdl_display sdl_display_multibuffer

=== examples/device_specific/dfg1394/Makefile ===
SUBDIRS = sdl_display

all: subdirs

subdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : 
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _dir_%, %, $@)

install: $(patsubst %, _install_%, $(SUBDIRS))

$(patsubst %, _install_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _install_%, %, $@) install

clean: $(patsubst %, _clean_%, $(SUBDIRS))

$(patsubst %, _clean_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _clean_%, %, $@) clean

tags: $(OBJS)
	etags *.c *.h

=== examples/unicapgtk/smallapp/Makefile ===
all: smallapp

smallapp: smallapp.c
	$(CC) $(CFLAGS) -o $@ $^ `pkg-config libunicapgtk --libs --cflags` -Wall

clean: 
	rm -f *.o
	rm -f *~
	rm -f smallapp
	rm -f TAGS

=== examples/device_specific/dfg1394/sdl_display/Makefile ===
all: sdl_display

sdl_display: sdl_display.c
	$(CC) -o $@ $^ `pkg-config libunicap --cflags --libs` `sdl-config --cflags --libs`

clean: 
	rm -f *.o
	rm -f *~
	rm -f sdl_display

=== debian/changelog ===
unicap (0.9.3hardy1) hardy; urgency=low

  * changing version to 0.9.3hardy1

 -- Arne Caspari <arne@unicap-imaging.org>  Fri, 03 Oct 2008 22:23:20 +0200

unicap (0.9.3) hardy; urgency=low

  * updated to 0.9.3

 -- Arne Caspari <arne@unicap-imaging.org>  Wed, 24 Sep 2008 09:06:35 +0200

unicap (0.9.2) hardy; urgency=low

  * updated to 0.9.2

 -- Arne Caspari <arne@unicap-imaging.org>  Mon, 08 Sep 2008 07:44:18 +0200

unicap (0.9.1) hardy; urgency=low

  * updated to 0.9.1

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 28 Aug 2008 20:52:26 +0200

unicap (0.9.0) hardy; urgency=low

  * updated to 0.9.0

 -- Arne Caspari <arne@unicap-imaging.org>  Sun, 24 Aug 2008 13:59:52 +0200

unicap (0.2.22) unstable; urgency=low

  * Initial hardy package

 -- Arne Caspari <arne@unicap-imaging.org>  Thu, 24 Apr 2008 07:41:37 +0200

=== debian/control ===
Source: unicap
Section: libs
Priority: optional
Maintainer: Arne Caspari <arne@unicap-imaging.org>
Build-Depends: debhelper (>= 4.0.0), autotools-dev, libraw1394-dev, libgtk2.0-dev, libxv-dev, libtheora-dev, gtk-doc-tools, libasound2-dev, libvorbis-dev, libtool
Standards-Version: 3.7.3

Package: libunicap2
Section: libs
Architecture: any
Depends: libraw1394-8, ${shlibs:Depends}
Conflicts: libunicap-0
Description: a library to access different kinds of video capture devices
 .
 This package provides unicap, a video capture library.

Package: libunicap-dev
Section: libdevel
Architecture: any
Depends: libunicap2 (= ${binary:Version}), libraw1394-dev, pkg-config
Description: unicap library, development files
 .
 This package contains the files needed to compile and link 
 programs which use libunicap.

Package: libunicap-doc
Section: doc
Architecture: any
Description: unicap library, documentation
 . 
 This package provides the API documentation for libunicap. 

Package: libunicapgtk2
Section: libs
Architecture: any
Depends: libunicap2 (= ${binary:Version}), libgtk2.0-0, libxv1, ${shlibs:Depends}
Conflicts: libunicapgtk-0
Description: graphical user interface to be used with libunicap
 .
 This package provides a library to build graphical video capture
 applications

Package: libunicapgtk-dev
Section: libdevel
Architecture: any
Depends: libunicapgtk2 (= ${binary:Version}), libunicap-dev (= ${binary:Version}), libgtk2.0-dev, libxv-dev
Description: unicapgtk library, development files
 .
 This package contains the files needed to compile and link 
 programs which use libunicapgtk.

Package: libunicapgtk-doc
Section: doc
Architecture: any
Description: unicapgtk library, documentation
 . 
 This package provides the API documentation for libunicapgtk ( GTK+
 support library for unicap ).

Package: libucil2
Section: libs
Architecture: any
Depends: libunicap2 (= ${binary:Version}), libtheora0, libasound2, libvorbis0a, libvorbisenc2, ${shlibs:Depends}
Conflicts: libucil-0
Description: a simple image processing library, designed to work with unicap
 .
 This package provides ucil, a simple image processing library. The
 library is designed to work with unicap.

Package: libucil-dev
Section: libdevel
Architecture: any
Depends: libucil2 (=${binary:Version}), libunicap-dev (=${binary:Version}), libtheora-dev
Description: ucil library, development files
 .
 This package provides the development files required to develop
 applications with UCIL ( a support library for unicap )

Package: libucil-doc
Section: doc
Architecture: any
Description: ucil library, documentation
 . 
 This package provides the API documentation for libucil ( a support
 library for unicap ).


Package: libunicap-2
Section: misc
Architecture: any
Depends: libunicap2 (= ${binary:Version})
Description: transitional package for libunicap2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libunicap2 package.

Package: libunicapgtk-2
Section: misc
Architecture: any
Depends: libunicapgtk2 (= ${binary:Version})
Description: transitional package for libunicapgtk2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libunicapgtk2 package.

Package: libucil-2
Section: misc
Architecture: any
Depends: libucil2 (= ${binary:Version})
Description: transitional package for libucil2
 .
 This package is a transitional package. It could be removed after the 
 installation of the libucil2 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --enable-gtk-doc


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/unicap.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/unicap


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --sourcedir=debian/unicap
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## unicap 0.9.3hardy1netbook0natick1

=== debian/changelog ===
unicap (0.9.3hardy1netbook0natick1) natick; urgency=low

  * Rebuild for natick distro

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 10 Mar 2009 15:30:27 +0000

## unicap 0.9.5

=== examples/Makefile ===
SUBDIRS = c c++ unicapgtk

all: subdirs

subdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : 
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _dir_%, %, $@)

install: $(patsubst %, _install_%, $(SUBDIRS))

$(patsubst %, _install_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _install_%, %, $@) install

clean: $(patsubst %, _clean_%, $(SUBDIRS))

$(patsubst %, _clean_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _clean_%, %, $@) clean

tags: $(OBJS)
	etags *.c *.h

=== examples/c/Makefile ===
SUBDIRS = device_info raw_image sdl_display sdl_image_saving

all: subdirs

subdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : 
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _dir_%, %, $@)

install: $(patsubst %, _install_%, $(SUBDIRS))

$(patsubst %, _install_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _install_%, %, $@) install

clean: $(patsubst %, _clean_%, $(SUBDIRS))

$(patsubst %, _clean_%, $(SUBDIRS)) :
	$(MAKE) CFLAGS="$(CFLAGS)" MAYOR_VERSION="$(MAYOR_VERSION)" -C $(patsubst _clean_%, %, $@) clean

tags: $(OBJS)
	etags *.c *.h

=== examples/c/avcodec/Makefile ===
##
## Makefile
##  
## Made by Arne Caspari
## Login   <arnearne-laptop>
##
## Started on  Sun Oct 22 21:43:56 2006 Arne Caspari
## Last update Thu Oct 26 18:13:12 2006 Arne Caspari
## 
##############################
# Complete this to make it ! #
##############################
NAME 	= recordvideo		# Name of executable file
SRC	= recordvideo.c		# List of *.c
INCL  	=		# List of *.h
################
# Optional add #
################
IPATH   = -I. `pkg-config --cflags libavcodec libunicap libucil`           # path of include file
OBJOPT  = -O0 -g -Wall -Wstrict-prototypes       # option for obj
EXEOPT  = -O0 -g -Wall -Wstrict-prototypes       # option for exe (-lefence ...)
LPATH   = -L. `pkg-config --libs libavcodec libunicap libucil`           # path for librairies ... 

#####################
# Macro Definitions #
#####################
CC 	= cc
MAKE 	= make
SHELL	= /bin/sh
OBJS 	= $(SRC:.c=.o) 
RM 	= /bin/rm -f 	
COMP	= gzip -9v
UNCOMP	= gzip -df
STRIP	= strip

CFLAGS  = $(OBJOPT) $(IPATH)
LDFLAGS = $(EXEOPT) $(LPATH)

.SUFFIXES: .h.Z .c.Z .h.gz .c.gz .c.z .h.z 

##############################
# Basic Compile Instructions #
##############################

all:	$(NAME)
$(NAME): $(OBJS) $(SRC) $(INCL)  
	$(CC) $(OBJS) $(LDFLAGS) -o $(NAME) 
#	$(STRIP) ./$(NAME) # if you debug ,don't strip ...

depend:
	gcc $(IPATH) -MM $(SRC) 
clean:
	-$(RM) $(NAME) $(OBJS) *~
fclean:
	-$(RM) $(NAME)
comp: clean
	$(COMP) $(INCL) $(SRC)
ucomp: 
	$(UNCOMP) $(SRC) $(INCL)

.c.Z.c .h.Z.h .c.gz.c .h.gz.h .c.z.c .h.z.h :
	 -$(UNCOMP) $<

.c.o:
	$(CC) $(CFLAGS) -c $< 
################
# Dependencies #
################

=== examples/c/device_info/Makefile ===
all: device_info

device_info: device_info.c
	$(CC) -g -O0 -o $@ $^ `pkg-config libunicap --cflags --libs`

clean:
	rm -f *.o
	rm -f device_info

=== examples/c/raw_image/Makefile ===
all: raw_image

raw_image: raw_image.c
	$(CC) -o $@ $^ `pkg-config libunicap --cflags --libs`

clean: 
	rm -f *.o
	rm -f raw_image

=== examples/c/sdl_image_saving/Makefile ===
all: sdl_image_saving

sdl_image_saving: sdl_image_saving.c colorspace.c
	$(CC) -o $@ $^ `pkg-config libunicap --cflags --libs` `sdl-config --cflags --libs` -ljpeg

clean: 
	rm -f *.o
	rm -f *~
	rm -f sdl_image_saving

=== examples/unicapgtk/callback/Makefile ===
all: callback

callback: callback.c
	$(CC) -o $@ $^ $(CFLAGS) `pkg-config libunicapgtk --libs --cflags`

clean: 
	rm -f *.o
	rm -f *~
	rm -f callback
	rm -f TAGS

=== examples/unicapgtk/cropping/Makefile ===
all: unicapgtk_cropping

unicapgtk_cropping: unicapgtk_cropping.c
	$(CC) -o $@ $^ `pkg-config libunicapgtk --libs --cflags`

clean: 
	rm -f *.o
	rm -f *~
	rm -f unicapgtk_cropping
	rm -f TAGS

=== examples/unicapgtk/smallapp/Makefile ===
all: smallapp

smallapp: smallapp.c
	$(CC) -o $@ $^ `pkg-config libunicapgtk --libs --cflags` -Wall $(CFLAGS) 

clean: 
	rm -f *.o
	rm -f *~
	rm -f smallapp
	rm -f TAGS

=== examples/c/OpenCV/highgui_face_detect/Makefile ===
all: face_detect


cam_display: cam_display.c
	$(CC) $(CFLAGS) -o $@ $^ `pkg-config --cflags --libs libunicap libucil opencv glib-2.0`

face_detect: face_detect.c
	$(CC) $(CFLAGS) -o $@ $^ `pkg-config --cflags --libs libunicap libucil opencv glib-2.0`


clean:
	rm -f *.o
	rm -f *~
	rm -f cam_display
	rm -f face_detect

## unicap 0.9.12

=== debian/changelog ===
unicap (0.9.12-2) unstable; urgency=low

  * Add patch 1010 to fix implicit pointer conversions in v4l2 macros.
    Closes: #678718. Thanks to Adam Conrad.
  * Add patch 1011 to fix implicit function declarations in cpi/euvccam.
    Thanks to Adam Conrad.
  * Correct and extend copyright years for packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Jun 2012 14:27:13 +0200

unicap (0.9.12-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#610440. Thanks to IOhannes m zmoelnig.

  * Acknowledge NMUs.
    Thanks to Alessio Treglia and Adam Conrad.
  * Simplify packaging: libucil and libunicapgtk now separate projects.
    Really closes: bug#663022. Also closes: bug#649810.
  * Update patches:
    + Drop all but patches 1001 1003 1009: Obsolete.
    + Unfuzz patches and refresh with shortening quilt options.
    + Add patch 1005 to update list of gettext source files.
    + Add patch 1006 to fix euvccam driver -lrt linkage.
  * Stop shipping *.la files: No packages depend on them any longer.
    Tighten build-depdendency on d-shlibs.
    Really really closes: bug#633316. Thanks to Neil Williams and
    Alessio Treglia.
  * Stop shipping examples no longer provided upstream.
    Closes: bug#535692. Thanks to Luca Bigliardi.
  * Update upstream download URL in watch and rules files.
  * Tighten and simplify CDBS usage.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.
  * Bump standards-version to 3.9.3.
  * Git-ignore quilt .pc dir, to ease building with git-buildpackage.
  * Rewrite copyright file using file format 1.0.
  * Fix extend copyright file with Files section covering patches by
    Miriam Ruiz.
  * Move maintenance to Debian Multimedia Maintainers.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Drop build-dependencies for now separate projects: libavcodec-dev
    libavformat-dev libtheora-dev libvorbis-dev libasound2-dev
    libpng12-dev libxv-dev.
    Closes: bug#662529. Thanks to Nobuhiro Iwamatsu.
  * Relax to build-depend unversioned on debhelper d-shlibs
    libgtk2.0-dev libglib2.0-dev: Required versions satisfied even in
    oldstable.
  * Regenerate autotools.
    Build-depend on libtool automake1.11 autoconf.
  * Configure with --enable-libv4l.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jun 2012 03:05:28 +0200

unicap (0.9.5-1.4) unstable; urgency=low

  * Non-maintainer upload to fix FTBFS (Closes: #663022):
    - Move .la sed magic from common-install-prehook-arch:: to
      common-install-impl:: so it happens after make install.

 -- Adam Conrad <adconrad@debian.org>  Fri, 22 Jun 2012 12:59:45 -0600

unicap (0.9.5-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on all architectures due to a mistake in debian/rules:
    - Don't rely on debian/tmp because common-install-prehook-arch target
      is called before anything serious is done (like installing files);
      really closes: #633316

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Mar 2012 01:03:47 +0100

unicap (0.9.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Empty dependency libs in .la files (Closes: #633316)

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Feb 2012 19:14:36 +0100

unicap (0.9.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Point #include statements to the new location of the V4L1 headers as
    they are no longer provided by the kernel, fix FTBFS (Closes: #621954):
    - Add 1009_v4l1.patch
    - Add build-dependency on libv4l-dev
    - Regenerate debian/control

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Aug 2011 10:09:07 +0200

unicap (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 1005 (POTFILES infile fix) solved upstream now.
  * Update package-relations.mk: Cleanup unversioned+versioned
    dependency mix. Improve whitespace cleanup. Rewrite and silence
    applying dependencies.
  * Relax build-dependency on gnulib to be unversioned (required version
    is in oldstable).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2009 17:18:31 +0200

unicap (0.9.5-1) unstable; urgency=low

  * New upstream release:
    + allow arbitrary FourCCs
    + set frame_interval correctly for frame rates != 30 FPS
  * Add git-buildpackage configfile, enabling pristine-tar branch and
    signed tags.
  * Drop blog URL as source URL.
  * Rewrite README.source.
  * Update local CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Enhance package-relations.mk to support Enhances
    + Extend package-relation cleanup to include debhelper 6 and 7.0.1
    + Fix package-relations cleanup of debhelper 7
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk
    + Update URL to draft DEP5 format in copyright-check.mk output
  * Fix tighten versioned build-dependenc on debhelper.
  * Override libav*-dev more generally in debian/rules d-shlibs
    resolving.
  * Add patch 1007 to drop ffmpeg backwards compatibility regarding
    YUYV422/YUV422, possibly clashing with recent changes to FourCC
    handlings. Thanks to Petr Baudis.
  * Add patch 1008, and update patch 2001, to make unicap work with
    gspca driver. Thanks to Petr Baudis.
  * Rewrite copyright to use DEP5 r59 proposed machine-readable format.
  * Bump policy compliance to standards-version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jun 2009 01:55:26 +0200

unicap (0.9.4-1) unstable; urgency=low

  * New upstream release (found mentioned in upstream blog).
    + Update copyright, watch file and get-orig-source target to use
      blog.
  * Update debian/copyright:
    + Bump licensing years of both upstream source and debian packaging
    + Update syntax to proposal v440 (no changes needed)
    + Merge entries with same authors and copyrights
    + Fix references to GAP license.
    + Add reference to Libtool license.
  * Update copyright-hints.


=== debian/control ===
Source: unicap
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 gnulib,
 libtool,
 automake1.11,
 autoconf,
 debhelper,
 dh-buildinfo,
 intltool,
 gtk-doc-tools (>= 1.4),
 libraw1394-dev (>= 1.1.0),
 libv4l-dev,
 libgtk2.0-dev,
 libglib2.0-dev,
 pkg-config,
 d-shlibs (>= 0.45~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/unicap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unicap.git
Homepage: http://unicap-imaging.org/

Package: libunicap2-dev
Section: libdevel
Depends: libunicap2 (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Provides: libunicap-dev
Conflicts: libunicap-dev
Architecture: any
Description: unified interface to video capture devices - development files
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains the development headers and static libraries.

Package: libunicap2
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libunicap-docs
Architecture: any
Description: unified interface to video capture devices - shared libraries
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains the shared libraries.

Package: libunicap-docs
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: unified interface to video capture devices - documentation
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2008, 2009, 2010, 2011, 2012 Jonas Smedegaard
# <dr@jones.dk>
# Description: Main Debian packaging script for unicap
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

DEB_AUTO_UPDATE_AUTOCONF = 2.67
DEB_AUTO_UPDATE_AUTOHEADER = 2.67
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOMAKE = 1.11
DEB_AUTO_UPDATE_LIBTOOL = pre
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

pkgbasename = unicap
pkgname = libunicap2
libname = libunicap

DEB_UPSTREAM_URL = http://unicap-imaging.org/downloads
DEB_UPSTREAM_PACKAGE = libunicap
DEB_UPSTREAM_TARBALL_MD5 = 353657b4da519251d4cc6dee5a232391

# Ignore logo and tarball-in-tarball, in addition to default stuff
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/api/html/images/logo_unicap\.gif|examples/c/xv_display/xv_display-0\.0\.7\.tar\.gz|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_CONFIGURE_USER_FLAGS = \
	--disable-rpath \
	--enable-gtk-doc \
	--enable-vid21394-visca \
	--enable-libv4l

DEB_MAKE_CHECK_TARGET = check

LDFLAGS += -pthread -Wl,-z,defs -Wl,--as-needed -Wl,--no-undefined

DEB_SHLIBDEPS_LIBRARY_libunicap2 = $(libname)
DEB_SHLIBDEPS_INCLUDE_libunicap2 = /usr/lib/unicap2 /usr/lib/unicap2/cpi

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
install/libunicap2-dev:: debian/install-unicap-stamp
debian/install-unicap-stamp:
	d-shlibmove --commit \
		--exclude-la \
		--override s/libraw1394-8-dev/libraw1394-dev/ \
		--movedev "debian/tmp/usr/include/unicap/*.h" usr/include/unicap/ \
		--movedev "debian/tmp/usr/lib/pkgconfig/*.pc" usr/lib/pkgconfig/ \
		--movedev "debian/tmp/usr/lib/unicap2/cpi/*.a" usr/lib/unicap2/cpi/ \
		--moveshl "debian/tmp/usr/lib/unicap2/cpi/*.so" usr/lib/unicap2/cpi/ \
		debian/tmp/usr/lib/$(libname).so
	touch $@
clean::
	rm -f debian/install-unicap-stamp

# put aside autogenerated files during build
# TODO: use DEB_UPSTREAM_CRUFT_MOVE when cdbs 0.4.106 is in stable
upstreamtmpstuff = include/unicap_version.h
upstreamtmpstuff += doc/libunicap/html doc/libunicap/tmpl doc/libunicap/xml
makefiledirs = . common cpi cpi/dcam cpi/euvccam cpi/include cpi/thing
makefiledirs += cpi/v4l cpi/v4l2cpi cpi/vid21394 data doc doc/libunicap
makefiledirs += include src
upstreamtmpstuff += $(addsuffix /Makefile.in,$(makefiledirs))
upstreamtmpstuff += aclocal.m4 configure config.h.in
upstreamtmpstuff += config.guess config.sub depcomp install-sh missing
upstreamtmpstuff += compile ltmain.sh
pre-build:: debian/upstream-stuff
debian/upstream-stuff: debian/stamp-copyright-check
	mkdir -p debian/upstream-stuff
	@for orig in $(upstreamtmpstuff); do \
		backup="debian/upstream-stuff/$$orig"; \
		[ ! -e "$$orig" ] || [ -e "$$backup" ] || { \
			mkdir -p "$$(dirname "$$backup")"; \
			echo mv "$$orig" "$$backup"; \
			mv "$$orig" "$$backup"; \
		}; \
	done
clean::
	@for orig in $(upstreamtmpstuff); do \
		backup="debian/upstream-stuff/$$orig"; \
		if [ -e "$$backup" ]; then \
			if [ -e "$$orig" ]; then \
				echo "rm -rf" "$$orig"; \
				rm -rf "$$orig"; \
			fi; \
			echo mv "$$backup" "$$orig"; \
			mv "$$backup" "$$orig"; \
		fi; \
	done
	rm -rf debian/upstream-stuff

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , intltool, gtk-doc-tools (>= 1.4)
CDBS_BUILD_DEPENDS += , libraw1394-dev (>= 1.1.0), libv4l-dev
CDBS_BUILD_DEPENDS += , libgtk2.0-dev, libglib2.0-dev

# Needed for our packaging
CDBS_BUILD_DEPENDS += , pkg-config, d-shlibs (>= 0.45~)

# (re)generate most possible autotools files
DEB_ACLOCAL_ARGS = -Im4 --install --force
DEB_AUTOMAKE_ARGS = --add-missing --copy --foreign --force
DEB_MAKE_CLEAN_TARGET = distclean
makebuilddir::
	mkdir -p m4
clean::
	rm -rf m4

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://unicap-imaging.org/download.htm downloads/libunicap-([\d+\.]+|\d+)\.tar\.gz debian

## unicap 0.9.12+repack20150328.0.git2c600ae

=== debian/changelog ===
unicap (0.9.12+repack20150328.0.git2c600ae-6) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 17:01:35 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-5) unstable; urgency=medium

  * Upload to unstable.

  * Add patch to fix FTBFS dues to invalid empty charset declaration
    (Closes: #1074621)
  * B-D on pkgconf instead of pkg-config
  * Use execute_{before,after}_dh_* instead of override_dh_* where applicable
  * Use d/clean
  * Update copyright information
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 17 Jul 2024 21:03:48 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-4exp1) experimental; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Set libunicap-doc to MultiArch:foreign
  * Rename libunicap-docs to libunicap-doc
  * Drop obsolete ${devlibs:Depends}
  * Drop unnecessary dependency on libgtk2.0-dev (Closes: #967787)
  * Add Build-Depends to symbols file
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jenkins ]
  * Apply multi-arch hints. + libunicap2, libunicap2-dev: Add Multi-Arch: same.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Aug 2021 13:15:40 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch to remove unused, but multiply defined variable. (Closes: #957898)
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Install locales
  * Mark libtool files as not-installed
  * Add udev-rules for euvccam to documentation
  * Forward all patches to upstream
  * Bump dh-compat to 13
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jul 2020 15:54:36 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-2) unstable; urgency=medium

  * Keep cpi_register() function in plugins, so they actually work

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2017 17:02:47 +0200

unicap (0.9.12+repack20150328.0.git2c600ae-1) unstable; urgency=medium

  * New upstream version 0.9.12+repack20150328.0.git2c600ae

  [ IOhannes m zmölnig ]
  * Refresh patches
    * Update patch to fix translation check
    * Add patch to allow building of gtk-docs
  * Switch build-system to dh
  * Add libunicap2.symbols file
    * Restrict exported symbols to unicap_* namespace
    * Exclude CPI-libraries from dpkg-gensymbols
  * Streamline Build-Dependencies
  * Suggest docs from dev package (rather than from the libs)
  * Drop superfluous Section from d/control
  * Add d/source/local-options
  * Update d/copyright
  * Fix d/watch
  * Add README.source explaining on how to get the sources
  * Switch Vcs to pkg-multimedia (and modernized Vcs-* stanzas)
  * Added myself to uploaders
  * Bump dh compat to 10
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2017 15:57:08 +0200

=== debian/control ===
Source: unicap
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 gnulib,
 gtk-doc-tools,
 intltool,
 libglib2.0-dev,
 libraw1394-dev,
 libtool,
 libv4l-dev,
 pkgconf,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/unicap.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/unicap
Homepage: https://unicap-imaging.org/

Package: libunicap2-dev
Section: libdevel
Depends:
 libunicap2 (= ${binary:Version}),
 ${misc:Depends},
Provides:
 libunicap-dev,
Conflicts:
 libunicap-dev,
Suggests:
 libunicap-doc,
Architecture: any
Multi-Arch: same
Description: unified interface to video capture devices - development files
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains the development headers and static libraries.

Package: libunicap2
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: unified interface to video capture devices - shared libraries
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains the shared libraries.

Package: libunicap-doc
Section: doc
Depends:
 ${misc:Depends},
Provides:
 libunicap-docs,
Breaks:
 libunicap-docs,
Replaces:
 libunicap-docs,
Architecture: all
Multi-Arch: foreign
Description: unified interface to video capture devices - documentation
 Unicap provides a uniform interface to video capture devices. It allows
 applications to use any supported video capture device via a single
 API.
 .
 Unicap offers a high level of hardware abstraction while maintaining
 maximum performance. Zero copy capture of video buffers is possible for
 devices supporting it allowing fast video capture with low CPU usage
 even on low-speed architectures.
 .
 This package contains documentation.

=== debian/watch ===
# See uscan
# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts="dversionmangle=s/[~+](dfsg|repack)([.0-9a-git]*)?$//,filenamemangle=s%(?:.*?)?libunicap-(\d[\d.]*)\.tar\.gz%unicap-$1.tar.gz%" \
   https://github.com/unicap/unicap/tags \
   (?:.*?/)?libunicap-(\d[\d.]*)\.tar\.gz debian uupdate
